## lm-data-objects

lm-data-objects

## Functions

LmAuthParameters * | lm_auth_parameters_new ()
const gchar * | lm_auth_parameters_get_username ()
const gchar * | lm_auth_parameters_get_password ()
const gchar * | lm_auth_parameters_get_resource ()
LmAuthParameters * | lm_auth_parameters_ref ()
void | lm_auth_parameters_unref ()
LmConnectParameters * | lm_connect_parameters_new ()
const gchar * | lm_connect_parameters_get_domain ()
const gchar * | lm_connect_parameters_get_host ()
guint | lm_connect_parameters_get_port ()
LmConnectParameters * | lm_connect_parameters_ref ()
void | lm_connect_parameters_unref ()

## Types and Values

typedef | LmAuthParameters
typedef | LmConnectParameters

## Description

## Functions

### lm_auth_parameters_new ()

    LmAuthParameters *
    lm_auth_parameters_new (const gchar *username,
                            const gchar *password,
                            const gchar *resource);

### lm_auth_parameters_get_username ()

    const gchar *
    lm_auth_parameters_get_username (LmAuthParameters *params);

### lm_auth_parameters_get_password ()

    const gchar *
    lm_auth_parameters_get_password (LmAuthParameters *params);

### lm_auth_parameters_get_resource ()

    const gchar *
    lm_auth_parameters_get_resource (LmAuthParameters *params);

### lm_auth_parameters_ref ()

    LmAuthParameters *
    lm_auth_parameters_ref (LmAuthParameters *params);

### lm_auth_parameters_unref ()

    void
    lm_auth_parameters_unref (LmAuthParameters *params);

### lm_connect_parameters_new ()

    LmConnectParameters *
    lm_connect_parameters_new (const gchar *domain,
                               const gchar *host,
                               guint port);

### lm_connect_parameters_get_domain ()

    const gchar *
    lm_connect_parameters_get_domain (LmConnectParameters *params);

### lm_connect_parameters_get_host ()

    const gchar *
    lm_connect_parameters_get_host (LmConnectParameters *params);

### lm_connect_parameters_get_port ()

    guint
    lm_connect_parameters_get_port (LmConnectParameters *params);

### lm_connect_parameters_ref ()

    LmConnectParameters *
    lm_connect_parameters_ref (LmConnectParameters *params);

### lm_connect_parameters_unref ()

    void
    lm_connect_parameters_unref (LmConnectParameters *params);

## Types and Values

### LmAuthParameters

    typedef struct LmAuthParameters    LmAuthParameters;

### LmConnectParameters

    typedef struct LmConnectParameters LmConnectParameters;